# Compare with 2MASS catalogue
# http://irsa.ipac.caltech.edu/applications/Gator/
# wget http://irsa.ipac.caltech.edu:80/workspace/TMP_AAALIaylh/Gator/3764/fp_2mass.fp_psc3764.tbl

# K Detector 1

# combine all 
cat <<EOF > tmp.tbl
sdf2-2_1.fits
sdf2-3_1.fits
sdf2-4_1.fits
sdf2-51_1.fits
sdf2-52_1.fits
sdf2-6_1.fits
sdf2-7_1.fits
sdf2-8_1.fits
sdf2-9_1.fits
sdf2-a_1.fits
sdf2-b_1.fits
sdf2-y_1.fits
EOF

imarith sdf2-z_1.fits * 2 sdf2-y_1.fits
hedit sdf2-y_1.fits NCOMBINE 162
imcombine @tmp.tbl  sdf2-all_1.fits reject=sigclip

# create region file
echo global color=green font=\"helvetica 10 normal\" select=1 edit=1 move=1 delete=1 include=1 fixed=0 source > 2mass.reg
sed '/^\\/d' fp_2mass.fp_psc3764.tbl|sed '/|/d' | gawk '{if($1>200.6 && $1<200.9 && $2>27.12 && $2<27.37){printf("fk5;circle(%s,%s,%f)\n",$1,$2,0.005-0.001*($15-12))}}' > 2mass.reg
sed '/^\\/d' fp_2mass.fp_psc3764.tbl|sed '/|/d' | gawk '{if($1>200.6 && $1<200.9 && $2>27.12 && $2<27.37){printf("fk5;circle(%s,%s,%f) # text={%s %s}\n",$1,$2,0.005-0.001*($15-12),$1,$2)}}' > 2mass.reg
sed '/^\\/d' fp_2mass.fp_psc3764.tbl|sed '/|/d' | gawk '{if($1>200.6 && $1<200.9 && $2>27.12 && $2<27.37){printf("%s %s\n",$1,$2)}}' > 2mass1.cat

# 礭Ƥ롣
# imexam 
cat <<EOF > k1cat.dat
 876.97 2500.08 200.707004 27.177788  
2635.31 2842.07 200.685663 27.276108
3024.76 1100.56 200.795019 27.298119
2763.09  658.88 200.822892 27.283682
1593.68 1703.21 200.757245 27.218115
1500.68 1174.96 200.790592 27.212992
EOF

gawk '{print($1,$2+36,$3,$4)}' k1cat.dat > k1cat2.dat

#ǤȤꤢ
del k1ccmap.dat
ccmap k1cat.dat k1ccmap.dat lngunits="degrees" latunits="degrees" insyste="j2000" function="polynomial" xxorder=2 xyorder=2 yxorder=2 yyorder=2 ver-
ccsetwcs sdf2-1_1.fits k1ccmap.dat k1cat.dat

del k1ccmap2.dat
ccmap k1cat2.dat k1ccmap2.dat lngunits="degrees" latunits="degrees" insyste="j2000" function="polynomial" xxorder=2 xyorder=2 yxorder=2 yyorder=2 ver-
ccsetwcs sdf2-5_1.fits k1ccmap2.dat k1cat2.dat


#ǡΰ֤Ф
#del tmp.dat
#ccfind 2mass1.cat tmp.dat sdf2-1_1.fits usewcs=yes insystem="j2000" lngunits="degrees" latunit="degrees" center=no
#ǳƥե졼٥ޥåԥ
ccsetwcs sdf2-all_1.fits k1ccmap.dat k1cat.dat

# dx=0.133 dy=0.0833 
setenv FRAMEID sdf2-all_1
./wcsfit.csh 2mass1.cat
ccsetwcs sdf2-all_1.fits sdf2-all_1_ccmap.map sdf2-all_1_ccmap.cat
ccsetwcs sdf2-1_1.fits sdf2-all_1_ccmap.map sdf2-all_1_ccmap.cat
ccsetwcs sdf2-2_1.fits sdf2-all_1_ccmap.map sdf2-all_1_ccmap.cat
ccsetwcs sdf2-3_1.fits sdf2-all_1_ccmap.map sdf2-all_1_ccmap.cat
ccsetwcs sdf2-4_1.fits sdf2-all_1_ccmap.map sdf2-all_1_ccmap.cat
ccsetwcs sdf2-51_1.fits sdf2-all_1_ccmap.map sdf2-all_1_ccmap.cat
ccsetwcs sdf2-52_1.fits sdf2-all_1_ccmap.map sdf2-all_1_ccmap.cat
ccsetwcs sdf2-6_1.fits sdf2-all_1_ccmap.map sdf2-all_1_ccmap.cat
ccsetwcs sdf2-7_1.fits sdf2-all_1_ccmap.map sdf2-all_1_ccmap.cat
ccsetwcs sdf2-8_1.fits sdf2-all_1_ccmap.map sdf2-all_1_ccmap.cat
ccsetwcs sdf2-9_1.fits sdf2-all_1_ccmap.map sdf2-all_1_ccmap.cat
ccsetwcs sdf2-a_1.fits sdf2-all_1_ccmap.map sdf2-all_1_ccmap.cat
ccsetwcs sdf2-b_1.fits sdf2-all_1_ccmap.map sdf2-all_1_ccmap.cat
ccsetwcs sdf2-c_1.fits sdf2-all_1_ccmap.map sdf2-all_1_ccmap.cat
ccsetwcs sdf2-y_1.fits sdf2-all_1_ccmap.map sdf2-all_1_ccmap.cat
ccsetwcs sdf2-z_1.fits sdf2-all_1_ccmap.map sdf2-all_1_ccmap.cat

ccsetwcs exp_sdf2-1_1.fits sdf2-all_1_ccmap.map sdf2-all_1_ccmap.cat
ccsetwcs exp_sdf2-2_1.fits sdf2-all_1_ccmap.map sdf2-all_1_ccmap.cat
ccsetwcs exp_sdf2-3_1.fits sdf2-all_1_ccmap.map sdf2-all_1_ccmap.cat
ccsetwcs exp_sdf2-4_1.fits sdf2-all_1_ccmap.map sdf2-all_1_ccmap.cat
ccsetwcs exp_sdf2-51_1.fits sdf2-all_1_ccmap.map sdf2-all_1_ccmap.cat
ccsetwcs exp_sdf2-52_1.fits sdf2-all_1_ccmap.map sdf2-all_1_ccmap.cat
ccsetwcs exp_sdf2-6_1.fits sdf2-all_1_ccmap.map sdf2-all_1_ccmap.cat
ccsetwcs exp_sdf2-7_1.fits sdf2-all_1_ccmap.map sdf2-all_1_ccmap.cat
ccsetwcs exp_sdf2-8_1.fits sdf2-all_1_ccmap.map sdf2-all_1_ccmap.cat
ccsetwcs exp_sdf2-9_1.fits sdf2-all_1_ccmap.map sdf2-all_1_ccmap.cat
ccsetwcs exp_sdf2-a_1.fits sdf2-all_1_ccmap.map sdf2-all_1_ccmap.cat
ccsetwcs exp_sdf2-b_1.fits sdf2-all_1_ccmap.map sdf2-all_1_ccmap.cat
ccsetwcs exp_sdf2-c_1.fits sdf2-all_1_ccmap.map sdf2-all_1_ccmap.cat
ccsetwcs exp_sdf2-z_1.fits sdf2-all_1_ccmap.map sdf2-all_1_ccmap.cat

# calculate offset between sdf2-5 and others
# sdf2-all
2614.84 2879.92   13.94  26622.9     2.03  78  2.91 0.141  58.0  1358.51  4.00
 844.80  953.22   16.81   1887.1     2.03  79  1.80 0.078  40.4    50.03  6.10
1090.07  515.25   16.40   2757.1     1.90  78  2.06 0.093 -69.4    77.04  5.86
2528.05 3928.53   13.23  50982.3     3.37  80  3.37 0.112  59.1  2566.79  4.03
3278.28 2156.30   17.10   1442.4     1.13  79  1.83 0.127  78.6    42.57  5.50
 442.85 3621.83   14.80  12019.9     0.84  79  3.32 0.108  68.2   550.55  4.23
1593.17 1702.14   13.99  25451.4     1.68  78  3.06 0.156  69.1  1260.73  4.16
3851.59 1845.47   13.48  40636.3     2.65  79  3.55 0.121  71.0  2192.86  3.92
1807.67 2918.52   16.20   3297.2     1.23  79  0.37 0.105  48.5   101.44  5.39
 288.89  985.48   16.32   2974.7     2.55  80  1.89 0.094  85.4    90.76  5.43
1500.29 1173.83   13.16  54369.2     3.50  78  3.34 0.166  75.0  2696.93  4.07
#sdf2-5
2614.80 2917.32   14.00  25096.8     2.24  79  2.97 0.146  21.7  1241.52  4.03
 844.25  990.74   16.81   1896.4     1.90  79 INDEF 0.126  29.7    52.61  5.79
1089.52  552.73   16.43   2686.6     2.13  80  2.06 0.045 -32.0    71.22  6.14
2528.06 3965.72   13.29  48124.8     3.79  78  2.13 0.117  24.5  2492.27  3.80
3278.05 2193.62   17.12   1419.7     1.31  78 INDEF 0.102  67.7    37.64  6.10
 442.90 3659.06   14.84  11619.0     1.00  76  3.26 0.106  11.2   553.64  4.15
1592.92 1739.58   14.03  24389.0     2.26  79  3.33 0.139  24.6  1217.23  4.05
3851.43 1882.81   13.55  38141.7     2.81  79  2.89 0.136  19.9  1856.85  4.09
1807.53 2955.85   16.23   3228.4     1.38  79  2.08 0.095  27.5   100.21  5.32
 288.48 1023.02   16.32   2976.6     2.68  78 INDEF 0.123   2.3    90.71  5.43
1500.00 1211.32   13.22  51713.1     3.94  76  3.54 0.123  25.3  2620.70  4.04

# dx=0.232727 dy=-37.3891
imshift sdf2-all_1.fits sdf2-for5_1.fits 0 37
# dx=0.14 dy=0.109 
setenv FRAMEID sdf2-for5_1
./wcsfit.csh 2mass1.cat
ccsetwcs sdf2-for5_1.fits sdf2-for5_1_ccmap.map sdf2-for5_1_ccmap.cat
ccsetwcs sdf2-5_1.fits sdf2-for5_1_ccmap.map sdf2-for5_1_ccmap.cat
ccsetwcs exp_sdf2-5_1.fits sdf2-for5_1_ccmap.map sdf2-for5_1_ccmap.cat

# dx=0.143 dy=0.127 
setenv FRAMEID sdf2-1_1
./wcsfit.csh 2mass1.cat

# dx=0.131 dy=0.0971
setenv FRAMEID sdf2-2_1
./wcsfit.csh 2mass1.cat

# dx=0.155 dy=0.111 
setenv FRAMEID sdf2-3_1
./wcsfit.csh 2mass1.cat

# dx=0.149 dy=0.1 
setenv FRAMEID sdf2-4_1
./wcsfit.csh 2mass1.cat

# dx=0.152 dy=0.119 
setenv FRAMEID sdf2-51_1
./wcsfit.csh 2mass1.cat

# dx=0.27 dy=0.228
setenv FRAMEID sdf2-5_1
./wcsfit.csh 2mass1.cat

# dx=0.155 dy=0.122
setenv FRAMEID sdf2-52_1
./wcsfit.csh 2mass1.cat

# dx=0.148 dy=0.105 
setenv FRAMEID sdf2-6_1
./wcsfit.csh 2mass1.cat

# dx=0.13 dy=0.107 
setenv FRAMEID sdf2-7_1
./wcsfit.csh 2mass1.cat

# dx=0.142 dy=0.122 
setenv FRAMEID sdf2-8_1
./wcsfit.csh 2mass1.cat

# dx=0.154 dy=0.105 
setenv FRAMEID sdf2-9_1
./wcsfit.csh 2mass1.cat

# dx=0.148 dy=0.121 
setenv FRAMEID sdf2-a_1
./wcsfit.csh 2mass1.cat

# dx=0.136 dy=0.107 
setenv FRAMEID sdf2-b_1
./wcsfit.csh 2mass1.cat

# dx=0.157 dy=0.1 
setenv FRAMEID sdf2-c_1
./wcsfit.csh 2mass1.cat

# dx=0.153 dy=0.0962 
setenv FRAMEID sdf2-z_1
./wcsfit.csh 2mass1.cat

# K Detector 2

# combine all 
cat <<EOF > tmp.tbl
sdf2-2_2.fits
sdf2-3_2.fits
sdf2-4_2.fits
sdf2-51_2.fits
sdf2-52_2.fits
sdf2-6_2.fits
sdf2-7_2.fits
sdf2-8_2.fits
sdf2-9_2.fits
sdf2-a_2.fits
sdf2-b_2.fits
sdf2-y_2.fits
EOF

imarith sdf2-z_2.fits * 2 sdf2-y_2.fits
hedit sdf2-y_2.fits NCOMBINE 162
imcombine @tmp.tbl  sdf2-all_2.fits reject=sigclip

# create region file
echo global color=green font=\"helvetica 10 normal\" select=1 edit=1 move=1 delete=1 include=1 fixed=0 source > 2mass.reg
sed '/^\\/d' fp_2mass.fp_psc3764.tbl|sed '/|/d' | gawk '{if($1>201 && $1<201.4 && $2>27.1 && $2<27.4){printf("fk5;circle(%s,%s,%f)\n",$1,$2,0.005-0.001*($15-12))}}' > 2mass.reg
sed '/^\\/d' fp_2mass.fp_psc3764.tbl|sed '/|/d' | gawk '{if($1>201 && $1<201.4 && $2>27.1 && $2<27.4){printf("fk5;circle(%s,%s,%f) # text={%s %s}\n",$1,$2,0.005-0.001*($15-12),$1,$2)}}' > 2mass.reg
sed '/^\\/d' fp_2mass.fp_psc3764.tbl|sed '/|/d' | gawk '{if($1>201 && $1<201.4 && $2>27.1 && $2<27.4){printf("%s %s\n",$1,$2)}}' > 2mass2.cat

# 礭Ƥ롣
# imexam 
cat <<EOF > k2cat.dat
 269.11 2016.60 201.344944 27.249226 
1035.28 2233.31 201.296533 27.236946
1593.95 1692.50 201.261275 27.267399
 972.08 3123.64 201.300779 27.187138
EOF
gawk '{print($1,$2+36,$3,$4)}' k2cat.dat > k2cat2.dat


#ǤȤꤢ
del k2ccmap.dat
ccmap k2cat.dat k2ccmap.dat lngunits="degrees" latunits="degrees" insyste="j2000" function="polynomial" xxorder=2 xyorder=2 yxorder=2 yyorder=2 ver-
ccsetwcs sdf2-all_2.fits k2ccmap.dat k2cat.dat

del k2ccmap2.dat
ccmap k2cat2.dat k2ccmap2.dat lngunits="degrees" latunits="degrees" insyste="j2000" function="polynomial" xxorder=2 xyorder=2 yxorder=2 yyorder=2 ver-
ccsetwcs sdf2-5_2.fits k2ccmap2.dat k2cat2.dat


#ǡΰ֤Ф
#del tmp.dat
#ccfind 2mass1.cat tmp.dat sdf2-1_1.fits usewcs=yes insystem="j2000" lngunits="degrees" latunit="degrees" center=no
#ǳƥե졼٥ޥåԥ

# dx=0.12 dy=0.13 
setenv FRAMEID sdf2-all_2
./wcsfit.csh 2mass2.cat
ccmap sdf2-all_2_ccmap.cat sdf2-all_2_ccmap.map lngunits="degrees" latunits="degrees" insyste="j2000" function="polynomial" xxorder=5 xyorder=5 yxorder=5 yyorder=5
ccsetwcs sdf2-all_2.fits sdf2-all_2_ccmap.map sdf2-all_2_ccmap.cat
ccsetwcs sdf2-1_2.fits sdf2-all_2_ccmap.map sdf2-all_2_ccmap.cat
ccsetwcs sdf2-2_2.fits sdf2-all_2_ccmap.map sdf2-all_2_ccmap.cat
ccsetwcs sdf2-3_2.fits sdf2-all_2_ccmap.map sdf2-all_2_ccmap.cat
ccsetwcs sdf2-4_2.fits sdf2-all_2_ccmap.map sdf2-all_2_ccmap.cat
ccsetwcs sdf2-51_2.fits sdf2-all_2_ccmap.map sdf2-all_2_ccmap.cat
ccsetwcs sdf2-52_2.fits sdf2-all_2_ccmap.map sdf2-all_2_ccmap.cat
ccsetwcs sdf2-6_2.fits sdf2-all_2_ccmap.map sdf2-all_2_ccmap.cat
ccsetwcs sdf2-7_2.fits sdf2-all_2_ccmap.map sdf2-all_2_ccmap.cat
ccsetwcs sdf2-8_2.fits sdf2-all_2_ccmap.map sdf2-all_2_ccmap.cat
ccsetwcs sdf2-9_2.fits sdf2-all_2_ccmap.map sdf2-all_2_ccmap.cat
ccsetwcs sdf2-a_2.fits sdf2-all_2_ccmap.map sdf2-all_2_ccmap.cat
ccsetwcs sdf2-b_2.fits sdf2-all_2_ccmap.map sdf2-all_2_ccmap.cat
ccsetwcs sdf2-c_2.fits sdf2-all_2_ccmap.map sdf2-all_2_ccmap.cat
ccsetwcs sdf2-y_2.fits sdf2-all_2_ccmap.map sdf2-all_2_ccmap.cat
ccsetwcs sdf2-z_2.fits sdf2-all_2_ccmap.map sdf2-all_2_ccmap.cat

ccsetwcs exp_sdf2-1_2.fits sdf2-all_2_ccmap.map sdf2-all_2_ccmap.cat
ccsetwcs exp_sdf2-2_2.fits sdf2-all_2_ccmap.map sdf2-all_2_ccmap.cat
ccsetwcs exp_sdf2-3_2.fits sdf2-all_2_ccmap.map sdf2-all_2_ccmap.cat
ccsetwcs exp_sdf2-4_2.fits sdf2-all_2_ccmap.map sdf2-all_2_ccmap.cat
ccsetwcs exp_sdf2-51_2.fits sdf2-all_2_ccmap.map sdf2-all_2_ccmap.cat
ccsetwcs exp_sdf2-52_2.fits sdf2-all_2_ccmap.map sdf2-all_2_ccmap.cat
ccsetwcs exp_sdf2-6_2.fits sdf2-all_2_ccmap.map sdf2-all_2_ccmap.cat
ccsetwcs exp_sdf2-7_2.fits sdf2-all_2_ccmap.map sdf2-all_2_ccmap.cat
ccsetwcs exp_sdf2-8_2.fits sdf2-all_2_ccmap.map sdf2-all_2_ccmap.cat
ccsetwcs exp_sdf2-9_2.fits sdf2-all_2_ccmap.map sdf2-all_2_ccmap.cat
ccsetwcs exp_sdf2-a_2.fits sdf2-all_2_ccmap.map sdf2-all_2_ccmap.cat
ccsetwcs exp_sdf2-b_2.fits sdf2-all_2_ccmap.map sdf2-all_2_ccmap.cat
ccsetwcs exp_sdf2-c_2.fits sdf2-all_2_ccmap.map sdf2-all_2_ccmap.cat
ccsetwcs exp_sdf2-z_2.fits sdf2-all_2_ccmap.map sdf2-all_2_ccmap.cat

# calculate offset between sdf2-5 and others
# sdf2-all
2088.77   99.81   12.56  94369.6     6.37  79  3.68 0.174  36.7  4157.69  4.41
1614.02  277.94   13.40  43546.1     3.00  75  3.67 0.189  37.9  1899.87  4.46
1482.75  617.23   12.58  92531.1     6.41  79  4.35 0.189  37.1  3827.29  4.67
3110.44  663.81   17.45   1042.4     4.76  79 INDEF 0.044  63.2    21.45  8.12
2039.92 1432.79   12.68  84708.2     6.03  78  3.53 0.199  34.0  3677.53  4.42
1593.07 1692.13   12.56  94277.5     6.75  77  3.91 0.203  36.2  3958.35  4.58
3493.45 2124.48   13.24  50693.6     3.30  80  3.74 0.208  21.8  2228.28  4.40
2247.01 2344.08   12.71  82059.8     5.85  75  3.87 0.213  28.8  3468.68  4.57
1693.64 2496.91   13.25  50050.5     3.69  78  3.49 0.214  33.6  2085.22  4.53
 888.19 2486.20   13.39  44046.0     3.11  79  3.80 0.205  36.4  1716.79  4.75
2578.91 2596.74   12.79  76428.1     5.37  78  3.79 0.210  27.7  3197.42  4.56
3029.39 3056.10   13.43  42538.2     3.21  79  2.80 0.230  23.1  1840.21  4.32
 612.29 3137.09   13.49  40290.7     3.08  78  4.31 0.198  34.5  1426.48  5.14
3887.26 3275.85   12.41 108259.5     8.90  78  3.59 0.216  17.1  4555.88  4.51
3197.05 3471.30   11.88 176950.3    12.23  78  2.76 0.215  21.8  6723.61  5.00
1811.11 3540.96   16.30   3024.9     2.63  77  3.56 0.121  33.2    77.91  6.47
1843.28 3930.86   13.28  48908.0     3.56  78  2.81 0.210  27.3  1823.52  5.00
2349.27 4107.71   13.62  35664.4     2.39  79  3.95 0.216  25.3  1340.91  4.87

#sdf2-5
2126.12  100.71   12.61  90148.4     6.54  78  4.13 0.123 -71.5  4003.29  4.45
1651.35  278.93   13.44  42036.6     3.41  78  4.23 0.100 -63.2  1849.31  4.50
1520.02  618.20   12.63  88415.5     6.65  77  2.89 0.122 -71.0  4181.62  4.13
3147.82  665.43   17.41   1087.4     4.45  79 INDEF 0.113 -85.2    19.00 17.54
2077.30 1433.74   12.71  82578.0     5.90  79  3.27 0.137 -67.5  3839.42  4.34
1630.50 1693.10   12.60  91542.3     7.27  80  3.84 0.103 -69.1  4222.46  4.30
3530.76 2125.28   13.28  48623.1     3.94  79  2.08 0.129 -69.0  2381.37  3.97
2284.44 2345.00   12.74  79954.7     6.32  78  3.11 0.098 -62.4  3729.60  4.26
1730.98 2497.91   13.28  48675.2     4.02  75  3.06 0.129 -67.0  2316.39  4.22
 925.57 2487.21   13.42  42692.7     3.15  80  3.48 0.095 -72.5  1942.11  4.28
2616.30 2597.67   12.81  75171.5     5.46  81  3.48 0.126 -65.3  3513.73  4.19
3066.59 3056.66   13.46  41300.3     3.25  80  3.85 0.094 -65.7  1912.72  4.30
 649.68 3138.17   13.50  39658.9     3.59  78  2.05 0.094 -62.7  1774.61  4.21
3924.77 3276.63   12.44 105361.5     9.69  80  4.08 0.124 -66.5  4697.36  4.41
3234.53 3472.17   11.89 175331.4    12.42  79  3.09 0.110 -60.9  7966.31  4.24
1848.62 3542.10   16.25   3153.9     2.83  79  3.04 0.034  89.2    86.46  6.03
1880.73 3931.88   13.29  48182.9     3.96  78  3.69 0.108 -62.9  2125.08  4.39
2387.16 4108.04   13.64  35107.8     2.52  77  2.87 0.070 -28.9  1938.48  3.75

paste tpos1.dat tpos2.dat | gawk '{x+=$1-$12;y+=$2-$13}END{print(x/NR,y/NR)}' 
# dx=-37.4122 dy=-0.935556
imshift sdf2-all_2.fits sdf2-for5_2.fits 37 1
# dx=0.123 dy=0.118 
setenv FRAMEID sdf2-for5_2
./wcsfit.csh 2mass2.cat
ccmap sdf2-for5_2_ccmap.cat sdf2-for5_2_ccmap.map lngunits="degrees" latunits="degrees" insyste="j2000" function="polynomial" xxorder=5 xyorder=5 yxorder=5 yyorder=5
ccsetwcs sdf2-for5_2.fits sdf2-for5_2_ccmap.map sdf2-for5_2_ccmap.cat
ccsetwcs sdf2-5_2.fits sdf2-for5_2_ccmap.map sdf2-for5_2_ccmap.cat

# dx=0.119 dy=0.149 
setenv FRAMEID sdf2-1_2
./wcsfit.csh 2mass2.cat

# dx=0.121 dy=0.14 
setenv FRAMEID sdf2-2_2
./wcsfit.csh 2mass2.cat

# dx=0.127 dy=0.149 
setenv FRAMEID sdf2-3_2
./wcsfit.csh 2mass2.cat

# dx=0.117 dy=0.145 
setenv FRAMEID sdf2-4_2
./wcsfit.csh 2mass2.cat

# dx=0.301 dy=0.208 
setenv FRAMEID sdf2-5_2
./wcsfit.csh 2mass2.cat

# dx=0.122 dy=0.153 
setenv FRAMEID sdf2-51_2
./wcsfit.csh 2mass2.cat

# dx=0.122 dy=0.139
setenv FRAMEID sdf2-52_2
./wcsfit.csh 2mass2.cat

# dx=0.121 dy=0.143
setenv FRAMEID sdf2-6_2
./wcsfit.csh 2mass2.cat

# dx=0.122 dy=0.139
setenv FRAMEID sdf2-7_2
./wcsfit.csh 2mass2.cat

# dx=0.121 dy=0.137
setenv FRAMEID sdf2-8_2
./wcsfit.csh 2mass2.cat

# dx=0.116 dy=0.136
setenv FRAMEID sdf2-9_2
./wcsfit.csh 2mass2.cat

# dx=0.118 dy=0.138
setenv FRAMEID sdf2-a_2
./wcsfit.csh 2mass2.cat

# dx=0.12 dy=0.138
setenv FRAMEID sdf2-b_2
./wcsfit.csh 2mass2.cat

# dx=0.124 dy=0.138
setenv FRAMEID sdf2-c_2
./wcsfit.csh 2mass2.cat

# dx=0.12 dy=0.136
setenv FRAMEID sdf2-z_2
./wcsfit.csh 2mass2.cat

## K Detector 3

# combine all 
cat <<EOF > tmp.tbl
sdf2-2_3.fits
sdf2-3_3.fits
sdf2-4_3.fits
sdf2-51_3.fits
sdf2-52_3.fits
sdf2-6_3.fits
sdf2-7_3.fits
sdf2-8_3.fits
sdf2-9_3.fits
sdf2-a_3.fits
sdf2-b_3.fits
sdf2-y_3.fits
EOF

imarith sdf2-z_3.fits * 2 sdf2-y_3.fits
hedit sdf2-y_3.fits NCOMBINE 159
imcombine @tmp.tbl  sdf2-all_3.fits reject=sigclip

# create region file
echo global color=green font=\"helvetica 10 normal\" select=1 edit=1 move=1 delete=1 include=1 fixed=0 source > 2mass.reg
sed '/^\\/d' fp_2mass.fp_psc3764.tbl|sed '/|/d' | gawk '{if($1>201.1 && $1<201.37 && $2>27.5 && $2<27.86){printf("fk5;circle(%s,%s,%f)\n",$1,$2,0.005-0.001*($15-12))}}' > 2mass.reg
sed '/^\\/d' fp_2mass.fp_psc3764.tbl|sed '/|/d' | gawk '{if($1>201.1 && $1<201.37 && $2>27.5 && $2<27.86){printf("fk5;circle(%s,%s,%f) # text={%s %s}\n",$1,$2,0.005-0.001*($15-12),$1,$2)}}' > 2mass.reg
sed '/^\\/d' fp_2mass.fp_psc3764.tbl|sed '/|/d' | gawk '{if($1>201.1 && $1<201.37 && $2>27.5 && $2<27.86){printf("%s %s\n",$1,$2)}}' > 2mass3.cat

# 礭Ƥ롣
# imexam 
cat <<EOF > k3cat.dat
 461.19 1929.57 201.223338 27.774668
 792.10 2293.59 201.246312 27.756224
1081.62 2649.26 201.268688 27.739960
1244.29 3118.20 201.298345 27.730871
2076.11  834.95 201.153926 27.684155
2061.86 1207.78 201.177365 27.685005
EOF


gawk '{print($1,$2+36,$3,$4)}' k3cat.dat > k3cat2.dat

#ǤȤꤢ
del k3ccmap.dat
ccmap k3cat.dat k3ccmap.dat lngunits="degrees" latunits="degrees" insyste="j2000" function="polynomial" xxorder=2 xyorder=2 yxorder=2 yyorder=2 ver-
ccsetwcs sdf2-1_3.fits k3ccmap.dat k3cat.dat

del k3ccmap2.dat
ccmap k3cat2.dat k3ccmap2.dat lngunits="degrees" latunits="degrees" insyste="j2000" function="polynomial" xxorder=2 xyorder=2 yxorder=2 yyorder=2 ver-
ccsetwcs sdf2-5_3.fits k3ccmap2.dat k3cat2.dat


#ǡΰ֤Ф
#del tmp.dat
#ccfind 2mass1.cat tmp.dat sdf2-1_1.fits usewcs=yes insystem="j2000" lngunits="degrees" latunit="degrees" center=no
#ǳƥե졼٥ޥåԥ
ccsetwcs sdf2-all_3.fits k3ccmap.dat k3cat.dat

# dx=0.13 dy=0.0882 
setenv FRAMEID sdf2-all_3
./wcsfit.csh 2mass3.cat
ccmap sdf2-all_3_ccmap.cat sdf2-all_3_ccmap.map lngunits="degrees" latunits="degrees" insyste="j2000" function="polynomial" xxorder=5 xyorder=5 yxorder=5 yyorder=5
ccsetwcs sdf2-all_3.fits sdf2-all_3_ccmap.map sdf2-all_3_ccmap.cat
ccsetwcs sdf2-1_3.fits sdf2-all_3_ccmap.map sdf2-all_3_ccmap.cat
ccsetwcs sdf2-2_3.fits sdf2-all_3_ccmap.map sdf2-all_3_ccmap.cat
ccsetwcs sdf2-3_3.fits sdf2-all_3_ccmap.map sdf2-all_3_ccmap.cat
ccsetwcs sdf2-4_3.fits sdf2-all_3_ccmap.map sdf2-all_3_ccmap.cat
ccsetwcs sdf2-51_3.fits sdf2-all_3_ccmap.map sdf2-all_3_ccmap.cat
ccsetwcs sdf2-52_3.fits sdf2-all_3_ccmap.map sdf2-all_3_ccmap.cat
ccsetwcs sdf2-6_3.fits sdf2-all_3_ccmap.map sdf2-all_3_ccmap.cat
ccsetwcs sdf2-7_3.fits sdf2-all_3_ccmap.map sdf2-all_3_ccmap.cat
ccsetwcs sdf2-8_3.fits sdf2-all_3_ccmap.map sdf2-all_3_ccmap.cat
ccsetwcs sdf2-9_3.fits sdf2-all_3_ccmap.map sdf2-all_3_ccmap.cat
ccsetwcs sdf2-a_3.fits sdf2-all_3_ccmap.map sdf2-all_3_ccmap.cat
ccsetwcs sdf2-b_3.fits sdf2-all_3_ccmap.map sdf2-all_3_ccmap.cat
ccsetwcs sdf2-c_3.fits sdf2-all_3_ccmap.map sdf2-all_3_ccmap.cat
ccsetwcs sdf2-y_3.fits sdf2-all_3_ccmap.map sdf2-all_3_ccmap.cat
ccsetwcs sdf2-z_3.fits sdf2-all_3_ccmap.map sdf2-all_3_ccmap.cat

ccsetwcs exp_sdf2-1_3.fits sdf2-all_3_ccmap.map sdf2-all_3_ccmap.cat
ccsetwcs exp_sdf2-2_3.fits sdf2-all_3_ccmap.map sdf2-all_3_ccmap.cat
ccsetwcs exp_sdf2-3_3.fits sdf2-all_3_ccmap.map sdf2-all_3_ccmap.cat
ccsetwcs exp_sdf2-4_3.fits sdf2-all_3_ccmap.map sdf2-all_3_ccmap.cat
ccsetwcs exp_sdf2-51_3.fits sdf2-all_3_ccmap.map sdf2-all_3_ccmap.cat
ccsetwcs exp_sdf2-52_3.fits sdf2-all_3_ccmap.map sdf2-all_3_ccmap.cat
ccsetwcs exp_sdf2-6_3.fits sdf2-all_3_ccmap.map sdf2-all_3_ccmap.cat
ccsetwcs exp_sdf2-7_3.fits sdf2-all_3_ccmap.map sdf2-all_3_ccmap.cat
ccsetwcs exp_sdf2-8_3.fits sdf2-all_3_ccmap.map sdf2-all_3_ccmap.cat
ccsetwcs exp_sdf2-9_3.fits sdf2-all_3_ccmap.map sdf2-all_3_ccmap.cat
ccsetwcs exp_sdf2-a_3.fits sdf2-all_3_ccmap.map sdf2-all_3_ccmap.cat
ccsetwcs exp_sdf2-b_3.fits sdf2-all_3_ccmap.map sdf2-all_3_ccmap.cat
ccsetwcs exp_sdf2-c_3.fits sdf2-all_3_ccmap.map sdf2-all_3_ccmap.cat
ccsetwcs exp_sdf2-z_3.fits sdf2-all_3_ccmap.map sdf2-all_3_ccmap.cat

# calculate offset between sdf2-5 and others
# sdf2-all
 827.18 3974.01   13.94  26489.7     2.09  77  3.79 0.114  -7.6  1010.39  4.82
3306.91 3914.81   12.53  97010.8     7.25  78  3.85 0.123 -20.0  3868.16  4.69
 333.32 3836.32   13.28  48622.7     3.71  81  4.07 0.092  -4.4  1762.42  4.96
1244.61 3118.91   13.36  45278.8     3.46  79  3.67 0.121   2.7  1959.83  4.42
2747.27 3009.44   14.40  17437.9     1.27  81  3.99 0.110  -5.3   786.28  4.38
1081.98 2649.77   13.75  31712.1     2.39  77  2.81 0.086   4.6  1484.88  4.15
3470.68 2469.76   14.14  22135.3     1.52  79  3.39 0.110 -14.5  1070.49  4.13
 792.52 2293.91   12.14 139011.3    14.16  80  3.27 0.117   6.8  6261.43  4.27
1580.71 2127.44   16.11   3605.8     2.86  80 INDEF 0.118 -47.5    95.03  6.13
 461.63 1929.64   11.88 176502.1    12.67  81  4.10 0.102   8.7  7399.35  4.58
3921.83 1929.87   13.50  39669.4     2.81  77  3.37 0.108 -25.4  1971.91  4.08
 876.56 1097.04   14.40  17369.0     1.25  80  3.67 0.115  10.3   885.19  4.03
1584.93  862.24   14.96  10414.3     0.73  78  3.47 0.084   8.8   571.68  3.86
2076.72  835.33   11.89 175010.4    11.63  80  4.09 0.060   4.3  8059.79  4.48
2766.90  631.45   14.91  10888.8     0.71  79  3.76 0.049 -19.4   599.86  3.91
#sdf2-5
 828.45 3937.92   13.96  25950.5     2.28  79  3.92 0.053 -26.3   950.28  4.95
3308.01 3878.54   12.57  93681.8     8.14  78  3.44 0.029  59.9  3675.24  4.71
 334.66 3800.24   13.31  47231.1     4.61  79  4.20 0.071 -33.2  1677.44  5.09
1245.80 3082.70   13.40  43545.0     4.03  79  4.31 0.056  10.4  1733.75  4.75
2748.51 2972.84   14.45  16525.3     1.68  80  4.15 0.098  19.2   693.34  4.60
1083.10 2613.56   13.79  30343.1     2.69  79  4.17 0.062   1.3  1226.47  4.74
3471.84 2433.02   14.20  20889.1     1.59  77  3.59 0.107  19.5   920.26  4.39
 793.69 2257.72   12.20 132251.4    15.70  80  4.28 0.076   9.4  5294.60  4.73
1581.92 2091.10   16.15   3472.9     3.04  77 INDEF 0.079 -49.0    90.92  6.26
 462.79 1893.49   11.95 165461.7    13.14  78  4.29 0.076  -0.7  6487.35  4.89
3922.85 1893.04   13.57  37248.8     3.01  77  3.99 0.097  12.1  1610.35  4.52
 877.62 1060.62   14.47  16311.0     1.53  81  3.85 0.098  10.9   720.11  4.38
1585.94  825.67   15.03   9770.0     0.97  78  3.54 0.116  18.8   456.04  4.23
2077.80  798.70   11.95 165930.2    12.80  79  4.15 0.114  18.7  6845.90  4.69
2767.88  594.61   14.97  10245.3     0.70  79  3.57 0.109  25.1   484.86  4.18

paste tpos1.dat tpos2.dat | gawk '{x+=$1-$12;y+=$2-$13}END{print(x/NR,y/NR)}' 
# dx=-1.14067 dy=36.4113
imshift sdf2-all_3.fits sdf2-for5_3.fits -36 1
# dx=0.127 dy=0.0794
setenv FRAMEID sdf2-for5_3
./wcsfit.csh 2mass3.cat
ccmap sdf2-for5_3_ccmap.cat sdf2-for5_3_ccmap.map lngunits="degrees" latunits="degrees" insyste="j2000" function="polynomial" xxorder=5 xyorder=5 yxorder=5 yyorder=5
ccsetwcs sdf2-for5_3.fits sdf2-for5_3_ccmap.map sdf2-for5_3_ccmap.cat
ccsetwcs sdf2-5_3.fits sdf2-for5_3_ccmap.map sdf2-for5_3_ccmap.cat
ccsetwcs exp_sdf2-5_3.fits sdf2-for5_3_ccmap.map sdf2-for5_3_ccmap.cat

# dx=0.125 dy=0.0885 
setenv FRAMEID sdf2-1_3
./wcsfit.csh 2mass3.cat
# dx=0.131 dy=0.0947 
setenv FRAMEID sdf2-2_3
./wcsfit.csh 2mass3.cat
# dx=0.117 dy=0.0985 
setenv FRAMEID sdf2-3_3
./wcsfit.csh 2mass3.cat
# dx=0.111 dy=0.0897 
setenv FRAMEID sdf2-4_3
./wcsfit.csh 2mass3.cat
# dx=0.116 dy=0.092 
setenv FRAMEID sdf2-51_3
./wcsfit.csh 2mass3.cat
# dx=0.254 dy=0.169 
setenv FRAMEID sdf2-5_3
./wcsfit.csh 2mass3.cat
# dx=0.122 dy=0.0891 
setenv FRAMEID sdf2-52_3
./wcsfit.csh 2mass3.cat
# dx=0.123 dy=0.115 
setenv FRAMEID sdf2-6_3
./wcsfit.csh 2mass3.cat
# dx=0.111 dy=0.0927 
setenv FRAMEID sdf2-7_3
./wcsfit.csh 2mass3.cat
# dx=0.112 dy=0.0864 
setenv FRAMEID sdf2-8_3
./wcsfit.csh 2mass3.cat
# dx=0.108 dy=0.0751 
setenv FRAMEID sdf2-9_3
./wcsfit.csh 2mass3.cat
# dx=0.105 dy=0.0937 
setenv FRAMEID sdf2-a_3
./wcsfit.csh 2mass3.cat
# dx=0.125 dy=0.0975 
setenv FRAMEID sdf2-b_3
./wcsfit.csh 2mass3.cat
# dx=0.122 dy=0.0984 
setenv FRAMEID sdf2-c_3
./wcsfit.csh 2mass3.cat
# dx=0.121 dy=0.098 
setenv FRAMEID sdf2-z_3
./wcsfit.csh 2mass3.cat



## K Detector 4

# combine all 
cat <<EOF > tmp.tbl
sdf2-2_4.fits
sdf2-3_4.fits
sdf2-4_4.fits
sdf2-51_4.fits
sdf2-52_4.fits
sdf2-6_4.fits
sdf2-7_4.fits
sdf2-8_4.fits
sdf2-9_4.fits
sdf2-a_4.fits
sdf2-b_4.fits
sdf2-y_4.fits
EOF

imarith sdf2-z_4.fits * 2 sdf2-y_4.fits
hedit sdf2-y_4.fits NCOMBINE 157
imcombine @tmp.tbl  sdf2-all_4.fits reject=sigclip

# create region file
echo global color=green font=\"helvetica 10 normal\" select=1 edit=1 move=1 delete=1 include=1 fixed=0 source > 2mass.reg
sed '/^\\/d' fp_2mass.fp_psc3764.tbl|sed '/|/d' | gawk '{if($1>200.6 && $1<200.88 && $2>27.5 && $2<27.9){printf("fk5;circle(%s,%s,%f)\n",$1,$2,0.005-0.001*($15-12))}}' > 2mass.reg
sed '/^\\/d' fp_2mass.fp_psc3764.tbl|sed '/|/d' | gawk '{if($1>200.6 && $1<200.88 && $2>27.5 && $2<27.9){printf("fk5;circle(%s,%s,%f) # text={%s %s}\n",$1,$2,0.005-0.001*($15-12),$1,$2)}}' > 2mass.reg
sed '/^\\/d' fp_2mass.fp_psc3764.tbl|sed '/|/d' | gawk '{if($1>200.6 && $1<200.88 && $2>27.5 && $2<27.9){printf("%s %s\n",$1,$2)}}' > 2mass4.cat

# 礭Ƥ롣
# imexam 
cat <<EOF > k4cat.dat
1619.51 3316.54 200.702661 27.754320
2388.14 2984.61 200.751692 27.736000
2446.07 2590.94 200.755540 27.713623
2465.72 2022.98 200.756737 27.682207
2044.84 2495.23 200.730104 27.708586
EOF

gawk '{print($1,$2+36,$3,$4)}' k4cat.dat > k4cat2.dat


#ǤȤꤢ
del k4ccmap.dat
ccmap k4cat.dat k4ccmap.dat lngunits="degrees" latunits="degrees" insyste="j2000" function="polynomial" xxorder=2 xyorder=2 yxorder=2 yyorder=2 ver-
ccsetwcs sdf2-1_4.fits k4ccmap.dat k4cat.dat

del k4ccmap2.dat
ccmap k4cat2.dat k4ccmap2.dat lngunits="degrees" latunits="degrees" insyste="j2000" function="polynomial" xxorder=2 xyorder=2 yxorder=2 yyorder=2 ver-
ccsetwcs sdf2-5_4.fits k4ccmap2.dat k4cat2.dat


#ǡΰ֤Ф
#del tmp.dat
#ccfind 2mass1.cat tmp.dat sdf2-1_1.fits usewcs=yes insystem="j2000" lngunits="degrees" latunit="degrees" center=no
#ǳƥե졼٥ޥåԥ
ccsetwcs sdf2-all_4.fits k4ccmap.dat k4cat.dat

# dx=0.101 dy=0.111
setenv FRAMEID sdf2-all_4
./wcsfit.csh 2mass4.cat
ccmap sdf2-all_4_ccmap.cat sdf2-all_4_ccmap.map lngunits="degrees" latunits="degrees" insyste="j2000" function="polynomial" xxorder=5 xyorder=5 yxorder=5 yyorder=5
ccsetwcs sdf2-all_4.fits sdf2-all_4_ccmap.map sdf2-all_4_ccmap.cat
ccsetwcs sdf2-1_4.fits sdf2-all_4_ccmap.map sdf2-all_4_ccmap.cat
ccsetwcs sdf2-2_4.fits sdf2-all_4_ccmap.map sdf2-all_4_ccmap.cat
ccsetwcs sdf2-3_4.fits sdf2-all_4_ccmap.map sdf2-all_4_ccmap.cat
ccsetwcs sdf2-4_4.fits sdf2-all_4_ccmap.map sdf2-all_4_ccmap.cat
ccsetwcs sdf2-51_4.fits sdf2-all_4_ccmap.map sdf2-all_4_ccmap.cat
ccsetwcs sdf2-52_4.fits sdf2-all_4_ccmap.map sdf2-all_4_ccmap.cat
ccsetwcs sdf2-6_4.fits sdf2-all_4_ccmap.map sdf2-all_4_ccmap.cat
ccsetwcs sdf2-7_4.fits sdf2-all_4_ccmap.map sdf2-all_4_ccmap.cat
ccsetwcs sdf2-8_4.fits sdf2-all_4_ccmap.map sdf2-all_4_ccmap.cat
ccsetwcs sdf2-9_4.fits sdf2-all_4_ccmap.map sdf2-all_4_ccmap.cat
ccsetwcs sdf2-a_4.fits sdf2-all_4_ccmap.map sdf2-all_4_ccmap.cat
ccsetwcs sdf2-b_4.fits sdf2-all_4_ccmap.map sdf2-all_4_ccmap.cat
ccsetwcs sdf2-c_4.fits sdf2-all_4_ccmap.map sdf2-all_4_ccmap.cat
ccsetwcs sdf2-y_4.fits sdf2-all_4_ccmap.map sdf2-all_4_ccmap.cat
ccsetwcs sdf2-z_4.fits sdf2-all_4_ccmap.map sdf2-all_4_ccmap.cat

ccsetwcs exp_sdf2-1_4.fits sdf2-all_4_ccmap.map sdf2-all_4_ccmap.cat
ccsetwcs exp_sdf2-2_4.fits sdf2-all_4_ccmap.map sdf2-all_4_ccmap.cat
ccsetwcs exp_sdf2-3_4.fits sdf2-all_4_ccmap.map sdf2-all_4_ccmap.cat
ccsetwcs exp_sdf2-4_4.fits sdf2-all_4_ccmap.map sdf2-all_4_ccmap.cat
ccsetwcs exp_sdf2-51_4.fits sdf2-all_4_ccmap.map sdf2-all_4_ccmap.cat
ccsetwcs exp_sdf2-52_4.fits sdf2-all_4_ccmap.map sdf2-all_4_ccmap.cat
ccsetwcs exp_sdf2-6_4.fits sdf2-all_4_ccmap.map sdf2-all_4_ccmap.cat
ccsetwcs exp_sdf2-7_4.fits sdf2-all_4_ccmap.map sdf2-all_4_ccmap.cat
ccsetwcs exp_sdf2-8_4.fits sdf2-all_4_ccmap.map sdf2-all_4_ccmap.cat
ccsetwcs exp_sdf2-9_4.fits sdf2-all_4_ccmap.map sdf2-all_4_ccmap.cat
ccsetwcs exp_sdf2-a_4.fits sdf2-all_4_ccmap.map sdf2-all_4_ccmap.cat
ccsetwcs exp_sdf2-b_4.fits sdf2-all_4_ccmap.map sdf2-all_4_ccmap.cat
ccsetwcs exp_sdf2-c_4.fits sdf2-all_4_ccmap.map sdf2-all_4_ccmap.cat
ccsetwcs exp_sdf2-y_4.fits sdf2-all_4_ccmap.map sdf2-all_4_ccmap.cat
ccsetwcs exp_sdf2-z_4.fits sdf2-all_4_ccmap.map sdf2-all_4_ccmap.cat

# calculate offset between sdf2-5 and others
# sdf2-all
2721.19 4025.14   12.47 102985.9     7.13  78  3.04 0.045  -9.1  5831.71  3.80
2661.47 3719.78   12.81  75498.9     5.43  80  2.98 0.046 -15.0  4589.02  3.56
 199.81 3505.61   12.91  68829.1     4.99  79  3.10 0.020  43.2  3723.69  3.83
 977.36 3467.51   12.52  97927.3     6.85  78  3.47 0.018  -5.0  5462.64  3.82
3248.84 3210.32   12.81  74976.8     5.09  78  3.31 0.030 -31.9  4569.71  3.62
2388.44 2984.72   10.82 468392.0    80.92  81  0.00 0.046 -32.9    INDEF INDEF
2446.25 2591.03   12.58  93155.9     6.30  77  2.96 0.052 -20.1  5753.50  3.54
2045.05 2495.35   12.78  77155.3     5.17  78  3.51 0.031 -38.9  4641.97  3.68
2465.80 2023.06   11.78 194774.0    14.13  77  4.03 0.037 -32.3  9368.12  4.41
1315.59 1846.88   13.93  26811.3     1.86  79  3.26 0.034 -27.3  1628.50  3.61
2899.06 1394.98   14.46  16486.4     1.05  75  3.48 0.031 -48.5  1036.67  3.60
1588.33 1316.72   15.21   8261.9     0.56  80  3.13 0.047 -34.3   510.57  3.55
 399.92 1288.55   15.71   5217.3     2.24  79  1.16 0.088  64.5   151.42  5.68
 645.42  512.67   13.99  25399.5     1.70  80  3.52 0.044 -51.8  1449.42  3.77
2054.70  218.76   11.40 274963.6    18.02  79  3.09 0.038 -32.2 14451.03  4.08
2475.61  194.98   11.20 331626.7    25.41  77  3.39 0.023 -25.5 13850.47  4.93
2710.83   89.85   11.23 323482.2    24.21  79  3.45 0.000 INDEF 13112.48  5.06

#sdf2-5
2684.92 4024.55   12.54  96017.5     7.36  79  3.90 0.125 -73.4  4443.54  4.31
2625.16 3719.25   12.89  69502.9     5.88  78  4.09 0.109 -70.8  3181.33  4.44
 163.75 3505.45   12.98  64015.3     5.38  81  3.53 0.146 -60.1  3058.69  4.16
 941.09 3467.22   12.60  91474.7     7.41  78  3.93 0.129 -62.6  4282.23  4.33
3212.44 3209.67   12.89  69696.6     5.76  79  2.72 0.138 -67.5  3376.44  4.04
2351.93 2983.87   10.89 440229.4    82.83  77  0.00 0.025 -60.9    INDEF INDEF
2409.64 2590.59   12.66  86370.3     6.57  80  3.60 0.127 -64.2  4103.47  4.19
2008.50 2494.97   12.86  71572.9     5.57  80  2.99 0.132 -61.6  3486.86  4.10
2429.17 2022.58   11.81 188680.2    14.86  79  3.34 0.158 -65.2  7530.53  4.86
1279.01 1846.63   14.02  24599.8     2.28  76  3.36 0.158 -62.9  1233.04  4.06
2862.29 1394.57   14.54  15291.8     1.16  80  2.32 0.153 -69.7   772.49  3.89
1551.55 1316.49   15.30   7607.8     0.51  80  3.40 0.138 -58.8   362.38  4.14
 363.25 1288.22   15.76   4952.3     2.85  79  2.42 0.053  83.1   128.51  6.33
 608.61  512.55   14.08  23439.1     2.01  79  3.41 0.132 -61.8  1117.50  4.15
2017.80  218.46   11.46 260660.0    19.03  79  4.06 0.150 -69.4 11059.38  4.55
2438.68  194.47   11.22 324127.3    25.67  79  4.02 0.135 -71.7 11600.57  5.19
2673.83   89.28   11.26 313645.1    25.79  79  3.41 0.112 -70.9 11881.57  4.85

paste tpos1.dat tpos2.dat | gawk '{x+=$1-$12;y+=$2-$13}END{print(x/NR,y/NR)}' 
# dx=36.5912 dy=0.417059
imshift sdf2-all_4.fits sdf2-for5_4.fits -37 0
# dx=0.121 dy=0.113
setenv FRAMEID sdf2-for5_4
./wcsfit.csh 2mass4.cat
ccmap sdf2-for5_4_ccmap.cat sdf2-for5_4_ccmap.map lngunits="degrees" latunits="degrees" insyste="j2000" function="polynomial" xxorder=5 xyorder=5 yxorder=5 yyorder=5
ccsetwcs sdf2-for5_4.fits sdf2-for5_4_ccmap.map sdf2-for5_4_ccmap.cat
ccsetwcs sdf2-5_4.fits sdf2-for5_4_ccmap.map sdf2-for5_4_ccmap.cat
ccsetwcs exp_sdf2-5_4.fits sdf2-for5_4_ccmap.map sdf2-for5_4_ccmap.cat

########### following old procedures for test
# dx=0.139 dy=0.117 
setenv FRAMEID sdf2-1_4
./wcsfit.csh 2mass4.cat

# dx=0.14 dy=0.11 
setenv FRAMEID sdf2-2_4
./wcsfit.csh 2mass4.cat

# dx=0.137 dy=0.12 
setenv FRAMEID sdf2-3_4
./wcsfit.csh 2mass4.cat

# dx=0.136 dy=0.112 
setenv FRAMEID sdf2-4_4
./wcsfit.csh 2mass4.cat

# dx=0.13 dy=0.12
setenv FRAMEID sdf2-51_4
./wcsfit.csh 2mass4.cat

# dx=0.218 dy=0.285
setenv FRAMEID sdf2-5_4
./wcsfit.csh 2mass4.cat

# dx=0.133 dy=0.107
setenv FRAMEID sdf2-52_4
./wcsfit.csh 2mass4.cat

# dx=0.159 dy=0.13
setenv FRAMEID sdf2-6_4
./wcsfit.csh 2mass4.cat

# dx=0.126 dy=0.112
setenv FRAMEID sdf2-7_4
./wcsfit.csh 2mass4.cat

# dx=0.139 dy=0.123
setenv FRAMEID sdf2-8_4
./wcsfit.csh 2mass4.cat

# dx=0.132 dy=0.119
setenv FRAMEID sdf2-9_4
./wcsfit.csh 2mass4.cat

# dx=0.137 dy=0.123
setenv FRAMEID sdf2-a_4
./wcsfit.csh 2mass4.cat

# dx=0.14 dy=0.113
setenv FRAMEID sdf2-b_4
./wcsfit.csh 2mass4.cat

# dx=0.13 dy=0.124
setenv FRAMEID sdf2-c_4
./wcsfit.csh 2mass4.cat

# dx=0.156 dy=0.123
setenv FRAMEID sdf2-z_4
./wcsfit.csh 2mass4.cat





