# Compare with 2MASS catalogue
# http://irsa.ipac.caltech.edu/applications/Gator/
# wget http://irsa.ipac.caltech.edu:80/workspace/TMP_AAALIaylh/Gator/3764/fp_2mass.fp_psc3764.tbl

# K Detector 1

# combine all 
cat <<EOF > tmp.tbl
sdf3-1_1.fits
sdf3-2_1.fits
sdf3-3_1.fits
sdf3-4_1.fits
sdf3-5_1.fits
sdf3-6_1.fits
sdf3-7_1.fits
sdf3-8_1.fits
sdf3-9_1.fits
sdf3-a_1.fits
sdf3-b_1.fits
sdf3-y_1.fits
EOF

imarith sdf3-c_1.fits * 2 sdf3-y_1.fits
hedit sdf3-y_1.fits NCOMBINE 72
imcombine @tmp.tbl  sdf3-all_1.fits reject=sigclip

# create region file
echo global color=green font=\"helvetica 10 normal\" select=1 edit=1 move=1 delete=1 include=1 fixed=0 source > 2mass.reg
sed '/^\\/d' fp_2mass.fp_psc3764.tbl|sed '/|/d' | gawk '{if($1>200.8 && $1<201.29 && $2>27.35 && $2<28.1){printf("fk5;circle(%s,%s,%f)\n",$1,$2,0.005-0.001*($15-12))}}' >> 2mass.reg
sed '/^\\/d' fp_2mass.fp_psc3764.tbl|sed '/|/d' | gawk '{if($1>200.8 && $1<201.29 && $2>27.35 && $2<28.1){printf("fk5;circle(%s,%s,%f) # text={%s %s}\n",$1,$2,0.005-0.001*($15-12),$1,$2)}}' > 2mass.reg
sed '/^\\/d' fp_2mass.fp_psc3764.tbl|sed '/|/d' | gawk '{if($1>200.8 && $1<201.29 && $2>27.35 && $2<28.1){printf("%s %s\n",$1,$2)}}' > 2mass1.cat

# 礭Ƥ롣
# imexam 
cat <<EOF > k1cat.dat
2824.96 2917.28 201.097448 27.510050
3507.91  762.62 201.233222 27.548325
3591.14  888.08 201.225923 27.553190
1396.73 2160.54 201.145118 27.430286
EOF

#ǤȤꤢ
del k1ccmap.dat
ccmap k1cat.dat k1ccmap.dat lngunits="degrees" latunits="degrees" insyste="j2000" function="polynomial" xxorder=2 xyorder=2 yxorder=2 yyorder=2 ver-


#ǡΰ֤Ф
#del tmp.dat
#ccfind 2mass1.cat tmp.dat sdf3-1_1.fits usewcs=yes insystem="j2000" lngunits="degrees" latunit="degrees" center=no
#ǳƥե졼٥ޥåԥ
ccsetwcs sdf3-all_1.fits k1ccmap.dat k1cat.dat

# dx=0.0985 dy=0.087 
setenv FRAMEID sdf3-all_1
./wcsfit.csh 2mass1.cat
ccmap sdf3-all_1_ccmap.cat sdf3-all_1_ccmap.map lngunits="degrees" latunits="degrees" insyste="j2000" function="polynomial" xxorder=5 xyorder=5 yxorder=5 yyorder=5
## kokomade 2007/6/15
ccsetwcs sdf3-all_1.fits sdf3-all_1_ccmap.map sdf3-all_1_ccmap.cat
ccsetwcs sdf3-1_1.fits sdf3-all_1_ccmap.map sdf3-all_1_ccmap.cat
ccsetwcs sdf3-2_1.fits sdf3-all_1_ccmap.map sdf3-all_1_ccmap.cat
ccsetwcs sdf3-3_1.fits sdf3-all_1_ccmap.map sdf3-all_1_ccmap.cat
ccsetwcs sdf3-4_1.fits sdf3-all_1_ccmap.map sdf3-all_1_ccmap.cat
ccsetwcs sdf3-5_1.fits sdf3-all_1_ccmap.map sdf3-all_1_ccmap.cat
ccsetwcs sdf3-6_1.fits sdf3-all_1_ccmap.map sdf3-all_1_ccmap.cat
ccsetwcs sdf3-7_1.fits sdf3-all_1_ccmap.map sdf3-all_1_ccmap.cat
ccsetwcs sdf3-8_1.fits sdf3-all_1_ccmap.map sdf3-all_1_ccmap.cat
ccsetwcs sdf3-9_1.fits sdf3-all_1_ccmap.map sdf3-all_1_ccmap.cat
ccsetwcs sdf3-a_1.fits sdf3-all_1_ccmap.map sdf3-all_1_ccmap.cat
ccsetwcs sdf3-b_1.fits sdf3-all_1_ccmap.map sdf3-all_1_ccmap.cat
ccsetwcs sdf3-c_1.fits sdf3-all_1_ccmap.map sdf3-all_1_ccmap.cat
ccsetwcs sdf3-y_1.fits sdf3-all_1_ccmap.map sdf3-all_1_ccmap.cat

# K Detector 2
cat <<EOF > tmp.tbl
sdf3-1_2.fits
sdf3-2_2.fits
sdf3-3_2.fits
sdf3-4_2.fits
sdf3-5_2.fits
sdf3-6_2.fits
sdf3-7_2.fits
sdf3-8_2.fits
sdf3-9_2.fits
sdf3-a_2.fits
sdf3-b_2.fits
sdf3-y_2.fits
EOF

imarith sdf3-c_2.fits * 2 sdf3-y_2.fits
hedit sdf3-y_2.fits NCOMBINE 72
imcombine @tmp.tbl  sdf3-all_2.fits reject=sigclip
# create region file
echo global color=green font=\"helvetica 10 normal\" select=1 edit=1 move=1 delete=1 include=1 fixed=0 source > 2mass.reg
sed '/^\\/d' fp_2mass.fp_psc3764.tbl|sed '/|/d' | gawk '{if($1>201.5 && $1<201.8 && $2>27.35 && $2<27.58){printf("fk5;circle(%s,%s,%f)\n",$1,$2,0.005-0.001*($15-12))}}' >> 2mass.reg
sed '/^\\/d' fp_2mass.fp_psc3764.tbl|sed '/|/d' | gawk '{if($1>201.5 && $1<201.8 && $2>27.35 && $2<27.58){printf("fk5;circle(%s,%s,%f) # text={%s %s}\n",$1,$2,0.005-0.001*($15-12),$1,$2)}}' > 2mass.reg
sed '/^\\/d' fp_2mass.fp_psc3764.tbl|sed '/|/d' | gawk '{if($1>201.5 && $1<201.8 && $2>27.35 && $2<27.58){printf("%s %s\n",$1,$2)}}' > 2mass2.cat

# 礭Ƥ롣
# imexam 
cat <<EOF > k2cat.dat
1238.23 2341.48 201.701798 27.454157
1574.76 2452.10 201.680549 27.448063
2992.04 3394.05 201.591408 27.395355
3390.16  567.18 201.565841 27.553343
EOF


#ǤȤꤢ
del k2ccmap.dat
ccmap k2cat.dat k2ccmap.dat lngunits="degrees" latunits="degrees" insyste="j2000" function="polynomial" xxorder=2 xyorder=2 yxorder=2 yyorder=2 ver-
ccsetwcs sdf3-all_2.fits k2ccmap.dat k2cat.dat

#ǡΰ֤Ф
#del tmp.dat
#ccfind 2mass1.cat tmp.dat sdf3-1_1.fits usewcs=yes insystem="j2000" lngunits="degrees" latunit="degrees" center=no
#ǳƥե졼٥ޥåԥ

# dx=0.132 dy=0.113 
setenv FRAMEID sdf3-all_2
./wcsfit.csh 2mass2.cat
ccmap sdf3-all_2_ccmap.cat sdf3-all_2_ccmap.map lngunits="degrees" latunits="degrees" insyste="j2000" function="polynomial" xxorder=5 xyorder=5 yxorder=5 yyorder=5
ccsetwcs sdf3-all_2.fits sdf3-all_2_ccmap.map sdf3-all_2_ccmap.cat
## kokomade 2007/6/15
ccsetwcs sdf3-1_2.fits sdf3-all_2_ccmap.map sdf3-all_2_ccmap.cat
ccsetwcs sdf3-2_2.fits sdf3-all_2_ccmap.map sdf3-all_2_ccmap.cat
ccsetwcs sdf3-3_2.fits sdf3-all_2_ccmap.map sdf3-all_2_ccmap.cat
ccsetwcs sdf3-4_2.fits sdf3-all_2_ccmap.map sdf3-all_2_ccmap.cat
ccsetwcs sdf3-5_2.fits sdf3-all_2_ccmap.map sdf3-all_2_ccmap.cat
ccsetwcs sdf3-6_2.fits sdf3-all_2_ccmap.map sdf3-all_2_ccmap.cat
ccsetwcs sdf3-7_2.fits sdf3-all_2_ccmap.map sdf3-all_2_ccmap.cat
ccsetwcs sdf3-8_2.fits sdf3-all_2_ccmap.map sdf3-all_2_ccmap.cat
ccsetwcs sdf3-9_2.fits sdf3-all_2_ccmap.map sdf3-all_2_ccmap.cat
ccsetwcs sdf3-a_2.fits sdf3-all_2_ccmap.map sdf3-all_2_ccmap.cat
ccsetwcs sdf3-b_2.fits sdf3-all_2_ccmap.map sdf3-all_2_ccmap.cat
ccsetwcs sdf3-c_2.fits sdf3-all_2_ccmap.map sdf3-all_2_ccmap.cat
ccsetwcs sdf3-y_2.fits sdf3-all_2_ccmap.map sdf3-all_2_ccmap.cat

# K Detector 3
cat <<EOF > tmp.tbl
sdf3-1_3.fits
sdf3-2_3.fits
sdf3-3_3.fits
sdf3-4_3.fits
sdf3-5_3.fits
sdf3-6_3.fits
sdf3-7_3.fits
sdf3-8_3.fits
sdf3-9_3.fits
sdf3-a_3.fits
sdf3-b_3.fits
sdf3-y_3.fits
EOF

imarith sdf3-c_3.fits * 2 sdf3-y_3.fits
hedit sdf3-y_3.fits NCOMBINE 71
imcombine @tmp.tbl  sdf3-all_3.fits reject=sigclip
# create region file
echo global color=green font=\"helvetica 10 normal\" select=1 edit=1 move=1 delete=1 include=1 fixed=0 source > 2mass.reg
sed '/^\\/d' fp_2mass.fp_psc3764.tbl|sed '/|/d' | gawk '{if($1>201.5 && $1<201.8 && $2>27.78 && $2<28.1){printf("fk5;circle(%s,%s,%f)\n",$1,$2,0.005-0.001*($15-12))}}' > 2mass.reg
sed '/^\\/d' fp_2mass.fp_psc3764.tbl|sed '/|/d' | gawk '{if($1>201.5 && $1<201.8 && $2>27.78 && $2<28.1){printf("fk5;circle(%s,%s,%f) # text={%s %s}\n",$1,$2,0.005-0.001*($15-12),$1,$2)}}' > 2mass.reg
sed '/^\\/d' fp_2mass.fp_psc3764.tbl|sed '/|/d' | gawk '{if($1>201.5 && $1<201.8 && $2>27.78 && $2<28.1){printf("%s %s\n",$1,$2)}}' > 2mass3.cat

# 礭Ƥ롣
# imexam 
cat <<EOF > k3cat.dat
1142.88 2755.50 201.693221 27.959911
666.22 2178.87  201.656971 27.986538
49.39 1255.17 201.598688 28.021120
2678.15 2177.88 201.656242 27.873951
EOF

#ǤȤꤢ
del k3ccmap.dat
ccmap k3cat.dat k3ccmap.dat lngunits="degrees" latunits="degrees" insyste="j2000" function="polynomial" xxorder=2 xyorder=2 yxorder=2 yyorder=2 ver-
ccsetwcs sdf3-all_3.fits k3ccmap.dat k3cat.dat


#ǡΰ֤Ф
#del tmp.dat
#ccfind 2mass1.cat tmp.dat sdf3-1_1.fits usewcs=yes insystem="j2000" lngunits="degrees" latunit="degrees" center=no
#ǳƥե졼٥ޥåԥ

# dx=0.121 dy=0.127 
setenv FRAMEID sdf3-all_3
./wcsfit.csh 2mass3.cat
ccmap sdf3-all_3_ccmap.cat sdf3-all_3_ccmap.map lngunits="degrees" latunits="degrees" insyste="j2000" function="polynomial" xxorder=5 xyorder=5 yxorder=5 yyorder=5
ccsetwcs sdf3-all_3.fits sdf3-all_3_ccmap.map sdf3-all_3_ccmap.cat
## kokomade 2007/6/15
ccsetwcs sdf3-1_3.fits sdf3-all_3_ccmap.map sdf3-all_3_ccmap.cat
ccsetwcs sdf3-2_3.fits sdf3-all_3_ccmap.map sdf3-all_3_ccmap.cat
ccsetwcs sdf3-3_3.fits sdf3-all_3_ccmap.map sdf3-all_3_ccmap.cat
ccsetwcs sdf3-4_3.fits sdf3-all_3_ccmap.map sdf3-all_3_ccmap.cat
ccsetwcs sdf3-5_3.fits sdf3-all_3_ccmap.map sdf3-all_3_ccmap.cat
ccsetwcs sdf3-6_3.fits sdf3-all_3_ccmap.map sdf3-all_3_ccmap.cat
ccsetwcs sdf3-7_3.fits sdf3-all_3_ccmap.map sdf3-all_3_ccmap.cat
ccsetwcs sdf3-8_3.fits sdf3-all_3_ccmap.map sdf3-all_3_ccmap.cat
ccsetwcs sdf3-9_3.fits sdf3-all_3_ccmap.map sdf3-all_3_ccmap.cat
ccsetwcs sdf3-a_3.fits sdf3-all_3_ccmap.map sdf3-all_3_ccmap.cat
ccsetwcs sdf3-b_3.fits sdf3-all_3_ccmap.map sdf3-all_3_ccmap.cat
ccsetwcs sdf3-c_3.fits sdf3-all_3_ccmap.map sdf3-all_3_ccmap.cat
ccsetwcs sdf3-y_3.fits sdf3-all_3_ccmap.map sdf3-all_3_ccmap.cat

# K Detector 4
cat <<EOF > tmp.tbl
sdf3-1_4.fits
sdf3-2_4.fits
sdf3-3_4.fits
sdf3-4_4.fits
sdf3-5_4.fits
sdf3-6_4.fits
sdf3-7_4.fits
sdf3-8_4.fits
sdf3-9_4.fits
sdf3-a_4.fits
sdf3-b_4.fits
sdf3-y_4.fits
EOF

imarith sdf3-c_4.fits * 2 sdf3-y_4.fits
hedit sdf3-y_4.fits NCOMBINE 71
imcombine @tmp.tbl  sdf3-all_4.fits reject=sigclip
# create region file
echo global color=green font=\"helvetica 10 normal\" select=1 edit=1 move=1 delete=1 include=1 fixed=0 source > 2mass.reg
sed '/^\\/d' fp_2mass.fp_psc3764.tbl|sed '/|/d' | gawk '{if($1>201 && $1<201.3 && $2>27.7 && $2<28.1){printf("fk5;circle(%s,%s,%f)\n",$1,$2,0.005-0.001*($15-12))}}' > 2mass.reg
sed '/^\\/d' fp_2mass.fp_psc3764.tbl|sed '/|/d' | gawk '{if($1>201 && $1<201.3 && $2>27.7 && $2<28.1){printf("fk5;circle(%s,%s,%f) # text={%s %s}\n",$1,$2,0.005-0.001*($15-12),$1,$2)}}' > 2mass.reg
sed '/^\\/d' fp_2mass.fp_psc3764.tbl|sed '/|/d' | gawk '{if($1>201 && $1<201.3 && $2>27.7 && $2<28.1){printf("%s %s\n",$1,$2)}}' > 2mass4.cat

# 礭Ƥ롣
# imexam 
cat <<EOF > k4cat.dat
2886.95 4003.68 201.199817 28.016336 
2693.50 2643.49 201.187834 27.940184
3166.22 1801.63 201.217994 27.893053
 920.97  744.00 201.076167 27.834087
EOF


#ǤȤꤢ
del k4ccmap.dat
ccmap k4cat.dat k4ccmap.dat lngunits="degrees" latunits="degrees" insyste="j2000" function="polynomial" xxorder=2 xyorder=2 yxorder=2 yyorder=2 ver-
ccsetwcs sdf3-all_4.fits k4ccmap.dat k4cat.dat


#ǡΰ֤Ф
#del tmp.dat
#ccfind 2mass1.cat tmp.dat sdf3-1_1.fits usewcs=yes insystem="j2000" lngunits="degrees" latunit="degrees" center=no
#ǳƥե졼٥ޥåԥ

# dx=0.128 dy=0.119 
setenv FRAMEID sdf3-all_4
./wcsfit.csh 2mass4.cat
ccmap sdf3-all_4_ccmap.cat sdf3-all_4_ccmap.map lngunits="degrees" latunits="degrees" insyste="j2000" function="polynomial" xxorder=5 xyorder=5 yxorder=5 yyorder=5
ccsetwcs sdf3-all_4.fits sdf3-all_4_ccmap.map sdf3-all_4_ccmap.cat
## kokomade 2007/6/15
ccsetwcs sdf3-1_4.fits sdf3-all_4_ccmap.map sdf3-all_4_ccmap.cat
ccsetwcs sdf3-2_4.fits sdf3-all_4_ccmap.map sdf3-all_4_ccmap.cat
ccsetwcs sdf3-3_4.fits sdf3-all_4_ccmap.map sdf3-all_4_ccmap.cat
ccsetwcs sdf3-4_4.fits sdf3-all_4_ccmap.map sdf3-all_4_ccmap.cat
ccsetwcs sdf3-5_4.fits sdf3-all_4_ccmap.map sdf3-all_4_ccmap.cat
ccsetwcs sdf3-6_4.fits sdf3-all_4_ccmap.map sdf3-all_4_ccmap.cat
ccsetwcs sdf3-7_4.fits sdf3-all_4_ccmap.map sdf3-all_4_ccmap.cat
ccsetwcs sdf3-8_4.fits sdf3-all_4_ccmap.map sdf3-all_4_ccmap.cat
ccsetwcs sdf3-9_4.fits sdf3-all_4_ccmap.map sdf3-all_4_ccmap.cat
ccsetwcs sdf3-a_4.fits sdf3-all_4_ccmap.map sdf3-all_4_ccmap.cat
ccsetwcs sdf3-b_4.fits sdf3-all_4_ccmap.map sdf3-all_4_ccmap.cat
ccsetwcs sdf3-c_4.fits sdf3-all_4_ccmap.map sdf3-all_4_ccmap.cat
ccsetwcs sdf3-y_4.fits sdf3-all_4_ccmap.map sdf3-all_4_ccmap.cat
